IQ Class Reference

`#include <iq.h>`

Inheritance diagram for IQ:
[legend]

## Public Types

enum | IqType { Get = 0 , Set , Result , Error , Invalid }

## Public Member Functions

| IQ (IqType type, const JID &to, const std::string &id=EmptyString)
virtual | ~IQ ()
IqType | subtype () const
virtual Tag * | tag () const
Public Member Functions inherited from Stanza
virtual | ~Stanza ()
void | setFrom (const JID &from)
const JID & | from () const
const JID & | to () const
const std::string & | id () const
const Error * | error () const
const std::string & | xmlLang () const
void | addExtension (const StanzaExtension *se)
const StanzaExtension * | findExtension (int type) const
template<class T>
const T * | findExtension (int type) const
const StanzaExtensionList & | extensions () const
void | removeExtensions ()
void | setEmbeddedStanza ()
bool | hasEmbeddedStanza () const
Stanza * | embeddedStanza () const
Tag * | embeddedTag () const

## Additional Inherited Members

Protected Member Functions inherited from Stanza
| Stanza (Tag *tag)
| Stanza (const JID &to)

## Detailed Description

An abstraction of an IQ stanza.

Author
  Vincent Thomasset
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 33 of file iq.h.

## Member Enumeration Documentation

## IqType

enum IqType

Describes the different valid IQ types.

Enumerator
Get | The stanza is a request for information or requirements.
Set | The stanza provides required data, sets new values, or replaces existing values.
Result | The stanza is a response to a successful get or set request.
Error | An error has occurred regarding processing or delivery of a previously-sent get or set (see Stanza Errors (Section 9.3)).
Invalid | The stanza is invalid

Definition at line 43 of file iq.h.

## Constructor & Destructor Documentation

## IQ()

IQ | ( | IqType | type,
|  | const JID & | to,
|  | const std::string & | id = EmptyString )

Creates an IQ Query.

Parameters

  type | The desired IqType.
  to | The intended receiver.
  id | The request's ID. Usually obtained from ClientBase::getID(). Optional, will be added by ClientBase if the IQ is sent by means of send( IQ&, IqHandler*, int, bool ) . You should only need to pass this when creating a reply (i.e. an IQ of type Result or Error).

Definition at line 38 of file iq.cpp.

## ~IQ()

~IQ | ( |  | ) |

virtual

Virtual destructor.

Definition at line 44 of file iq.cpp.

## Member Function Documentation

## subtype()

IqType subtype | ( |  | ) | const

inline

Returns the IQ's type.

Returns
  The IQ's type.

Definition at line 74 of file iq.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Creates a Tag representation of the Stanza. The Tag is completely independent of the Stanza and will not be updated when the Stanza is modified.

Returns
  A pointer to a Tag representation. It is the job of the caller to delete the Tag.

Implements Stanza.

Definition at line 48 of file iq.cpp.

The documentation for this class was generated from the following files:

- iq.h
- iq.cpp